import java.util.Scanner;

public class Section035_Type1 {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int j, L, h, m;
		int data[] = { 8,15,35,55,60,61,70,80,92,99 };
		j = scanf.nextInt();
		L = 0;
		h = 9;
		while(true)
		{
			if (L <= h)
			{
				m = (L + h) / 2;
				if (j == data[m])
				{
					System.out.printf("%d %d", j, m + 1);
					break;
				}
				if (j < data[m])
					h = m - 1;
				else
					L = m + 1;
			}
			else
			{
				System.out.printf("%d NOT FOUND", j);
				break;
			}
		}
		scanf.close();
	}
}
